﻿@using SportsClub.Areas.Dashboard.Models
@model WeeklyAgendaSettingsViewModel

@{
    Layout = null;
}

<style>
    .switch-base:before {
        content: "On";
        display: inline-block;
        position: absolute;
        left: 0;
        height: 34px;
        line-height: 34px;
        color: black;
    }

    .switch-base:after {
        content: "Off";
        display: inline-block;
        position: absolute;
        right: 0;
        height: 34px;
        line-height: 34px;
        color: black;
    }
</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Weekly agenda settings
            </h1>
        </div>

        <div class="clearfix"></div>
        @*<hr />*@
        <br />
    </div>

    <form novalidate ng-submit="save()">

        <fieldset>
            <legend>Turn on or off the weekly agenda notifications</legend>

            <div style="float: left">

                <label class="switch-base">
                    <input type="checkbox" ng-click="switchSeasonMode()" ng-true-value="true" ng-false-value="false" ng-model="Model.IsEnabled">
                    <span class="slider round"></span>
                </label>

            </div>

        </fieldset>

        <fieldset>
            <legend>Notification delivery time</legend>

            <label> Send all notifications at a designated time</label>
            <div class="input-control date-time no-margin" @Html.AngValidationClass("ExactDateTime")>
                <div @Html.AngTooltipValidation("ExactDateTime") class="one-fourth">
                    <input ng-model="Model.ExactDateTime" k-options="MC.timePickerOptionsPMInterval30" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker>
                </div>
            </div>

            <div class="clearfix"></div>

            @*<div class="input-control radio">
                    <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                        <label class="block">

                            <input ng-model="@Html.Ang(m => m.IsExactDay)" name="isAutoChargeMandatory" ng-value="false" type="radio" />
                            <span class="check"></span>
                            Send notifications after each class ends
                        </label>
                    </div>

                    <div class="clearfix"></div>
                    <div ng-hide="@Html.Ang(model => model.IsExactDay)" class="dash-enable">

                        <div class="place-left">
                            <label></label>
                            <div class="input-control select" @Html.AngValidationClass("")>
                                <select ng-model="Model.HourAfterClassEnds"
                                        ng-options="obj.Value as obj.Text for obj in HoursAfterClassEnds"
                                        @Html.AngTooltipValidation("")></select>
                            </div>
                        </div>

                    </div>

                    <div class="clearfix"></div>


                </div>*@

        </fieldset>


        <div class="clearfix"></div>
        <br />
        <br />

        <fieldset>
            <legend>Notification email subject and content</legend>


            <label class="req-star">Email subject</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Subject)>
                <input ng-model="Model.Subject" name="Subject" type="text" @Html.AngTooltipValidationFor(model => model.Subject) />
            </div>

            <label>Text to be added at the begging of each email</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Wrapper)>
                <input ng-model="Model.Wrapper" name="Wrapper" type="text" @Html.AngTooltipValidationFor(model => model.Wrapper) />
            </div>
        </fieldset>

        <div class="clearfix"></div>
        <hr />

        <button type="submit" ngaction="WeeklyAgenda_Settings_Save" class="success large place-right">Submit</button>

        <a class="place-left button link large" ui-sref='WeeklyAgenda'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>

